interface StringKey<T> {
    [key: string]: T;
}
export declare class HtmlSanitizer {
    /** @hidden */
    tagWhitelist: StringKey<boolean>;
    /** @hidden */
    attributeWhitelist: StringKey<string | boolean>;
    /** @hidden */
    private _schemaWhiteList;
    /** @hidden */
    private _uriAttributes;
    /** @hidden */
    private _safeWrapper;
    /** @hidden */
    constructor();
    /** @hidden */
    get defTagWhitelist(): StringKey<boolean>;
    /** @hidden */
    get defAttributeWhitelist(): StringKey<string | boolean>;
    /** @hidden */
    extendTags(customTags?: StringKey<boolean | string>): void;
    /** @hidden */
    extendAttrs(customAttrs?: StringKey<boolean | string>): void;
    /** @hidden */
    sanitizeHtml(input: string): string;
    /** @hidden */
    private _makeSanitizedCopy;
    /** @hidden */
    private _implementTag;
    /** @hidden */
    private _extendLinkTarget;
    /** @hidden */
    private _getSafeWrapper;
    /** @hidden */
    private _removeSafeWrapper;
    /** @hidden */
    private _validateBySchema;
    /** @hidden */
    private _startsWithAny;
}
export {};
